body::-webkit-scrollbar {
  display: none;
}

body {
  width: 100vw;
  font-family: "Inter", sans-serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

/* ---------------------------------------------------Header---------------------------------------------------- */

header {
  position: sticky;
  width: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 3vh 0px;
  transition: background-color 0.4s ease-in-out;
  z-index: 1;
}

header.scrolled {
  background-color: white;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.316);
  opacity: 0.98;
}

#logo {
  color: white;
  font-size: 1rem;
  margin-left: 10vw;
  text-align: center;
  transition: color 0.4s ease-in-out;
}

header.scrolled #logo {
  color: black;
}

#logo span {
  color: #fcae1e;
}

nav {
  display: flex;
  margin-right: 10vw;
}

nav li {
  margin: 0px 20px;
  list-style: none;
}

nav li a {
  color: white;
  font-size: 100%;
  text-decoration: none;
  transition: color 0.4s ease-in-out;
}

header.scrolled nav li a {
  color: black;
}

.first {
  color: #fcae1e;
}

header.scrolled .first {
  color: #fcae1e;
}

.dropbtn {
  color: white;
  padding: 4px;
  background: linear-gradient(180deg, #fcbe1e 0%, rgba(252, 123, 30, 0.8) 100%);
  font-size: 16px;
  border: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  margin-left: -70px;
  min-width: 260px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: white;
  font-weight: 600;
  padding: 12px 16px;
  background: linear-gradient(180deg, #fcbe1e 0%, rgba(252, 123, 30, 0.8) 100%);
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #b5b5b5;
}

.dropdown:hover .dropdown-content {
  display: block;
}

/* Navbar Responsive */

#check {
  display: none;
}

.mobile-navbar-btn {
  display: none;
  background: transparent;
  cursor: pointer;
  margin-right: 5%;
}

.menu_bar {
  margin-top: 2vh;
  width: 1.7vmax;
}

.close_bar {
  display: none;
  margin-top: 2vh;
  width: 1.7vmax;
}

@media (max-width: 1300px) {
  /* html {
        overflow-x: hidden;
    } */

  /* body{
        overflow-x: hidden;
    } */

  nav {
    width: 100%;
    height: 0;
    background-color: rgb(0, 0, 0, 0.8);
    backdrop-filter: blur(7px);
    box-shadow: 0 0.5rem 1rem rgb(0, 0, 0, 0.1);
    position: absolute;
    top: 100%;
    left: 0;
    display: grid;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: all 0.3s ease;
  }

  header.scrolled nav li a {
    color: white;
  }

  #check:checked ~ nav {
    height: 300%;
  }

  nav .navbar-link {
    font-size: 3vmin;
    transform: translateY(-50px);
  }

  .nav_list {
    flex-direction: column;
    text-align: center;
    margin-left: 10vw;
    gap: 9rem;
  }

  #check:checked ~ .mobile-navbar-btn .menu_bar {
    display: none;
  }

  #check:checked ~ .mobile-navbar-btn .close_bar {
    display: block;
  }

  .mobile-navbar-btn {
    display: block;
    margin-top: -1.5vh;
  }
}

/* ----------------------------------------------------Home---------------------------------------------------- */

#Home {
  width: 100%;
  height: 110vh;
  position: relative;
  margin-top: -12.5vh;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  animation: bgChange 20s linear infinite;
}

@keyframes bgChange {
  0% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_1.png);
  }

  5% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_1.png);
  }

  10% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_1.png);
  }

  15% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_1.png);
  }

  20% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_1.png);
  }

  25% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_2.jpg);
  }

  30% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_2.jpg);
  }

  35% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_2.jpg);
  }

  40% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_2.jpg);
  }

  45% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_2.jpg);
  }

  50% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_3.jpg);
  }

  55% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_3.jpg);
  }

  60% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_3.jpg);
  }

  65% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_3.jpg);
  }

  70% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_3.jpg);
  }

  75% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }

  80% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }

  85% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }

  90% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }

  95% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }

  100% {
    background-image: linear-gradient(
        rgb(0, 0, 0),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0.1),
        rgb(78, 78, 56, 0)
      ),
      url(img/image_4.jpg);
  }
}

.tag_container {
  width: 60%;
  margin-left: 10%;
  /* margin-top: 10%; */
  padding-top: 35vh;
}

.tag_line {
  width: 50%;
  color: white;
  font-size: 3rem;
}

.tag_para {
  color: white;
  font-size: 1.2rem;
}

.Enquire_btn {
  color: white;
  font-size: 1.2rem;
  padding: 10px 25px;
  border: 0px;
  border-radius: 50px;
  cursor: pointer;
  background: linear-gradient(180deg, #fcbe1e 0%, rgba(252, 123, 30, 0.8) 100%);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.Enquire_btn:hover {
  transform: translateY(1px);
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

/* ----------------------------------------------------Service---------------------------------------------------- */

#Service {
  width: 100%;
  text-align: center;
  /* justify-content: center; */
}

#Service h2 {
  font-size: 3rem;
  margin: 3% 0px;
  padding-top: 10%;
}

.all_services {
  display: flex;
  width: 78%;
  margin: 0 auto;
  flex-wrap: wrap;
  /* justify-content: space-around; */
}

.all_services .service {
  /* margin-top: 2%; */
  margin: 1% 0.9%;
  display: none;
  margin: 2% auto;
}

.all_services .service:nth-child(1),
.all_services .service:nth-child(2),
.all_services .service:nth-child(3) {
  display: inline-block;
}

.all_services .service img {
  width: 100%;
}

.all_services .service:hover img {
  transform: scale(1.03);
  transition: 0.5s ease;
}

.all_services .service img {
  width: 80%;
}

.service_Enquire_btn {
  color: white;
  font-size: 0.8rem;
  padding: 10px 25px;
  border: 0px;
  border-radius: 50px;
  text-decoration: none;
  cursor: pointer;
  background: linear-gradient(180deg, #fcbe1e 0%, rgba(252, 123, 30, 0.8) 100%);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.service_Enquire_btn:hover {
  transform: translateY(1px);
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

#view {
  cursor: pointer;
}

/* ----------------------------------------------------Contact---------------------------------------------------- */

#contact_us {
  width: 100%;
  text-align: center;
  /* justify-content: center; */
}

#contact_us h2 {
  font-size: 3rem;
  margin: 0% 0px;
  padding-top: 9%;
}

.contact_container {
  display: flex;
  margin: 8% auto;
  width: 80%;
  /* justify-content: space-between; */
}

#contact_us .contact_container img {
  width: 50%;
}

.formINPborder {
  margin: 20px 0px;
  padding: 20px 0px;
  border-radius: 10px;
  border: 1px solid #aca8a8;
  background: #fff;
}

form {
  width: 50%;
  margin-left: 10%;
  /* display: inline; */
}

form span {
  color: red;
}

.name_contactNo input {
  width: 40%;
  padding-left: 20px;
}

.email {
  width: 80%;
  padding-left: 20px;
}

form select {
  width: 80%;
  text-indent: 5%;
}

form textarea {
  width: 80%;
  padding-left: 20px;
  text-indent: 5%;
}

form .submit {
  color: white;
  font-size: 1.4rem;
  padding: 10px 33%;
  border: 0px;
  border-radius: 10px;
  cursor: pointer;
  background: linear-gradient(180deg, #fcbe1e 0%, rgba(252, 123, 30, 0.8) 100%);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

form .submit:hover {
  transform: translateY(1px);
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25),
    0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

/* ----------------------------------------------------About---------------------------------------------------- */

#About_us {
  display: flex;
  width: 100%;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.about_container {
  width: 40%;
  /* margin: 20px 50px; */
  margin-top: -7%;
  padding-top: 10%;
}

#About_us h2 {
  font-size: 3rem;
  margin: 3% 0px;
}

#About_us h4 {
  font-size: 1.1rem;
  padding: 1%;
}

.about_container p {
  font-size: 1rem;
  padding: 1%;
}

.about_container h4 span {
  color: rgba(252, 123, 30, 0.8);
}

#About_us img {
  width: 40%;
  margin: 20px 60px;
  padding-top: 10%;
}

/* ----------------------------------------------------footer---------------------------------------------------- */

footer {
  display: flex;
  width: 100%;
  height: 70vh;
  background-color: black;
  color: white;
  justify-content: space-between;
  align-items: center;
}

.social {
  margin-left: 5%;
}

.social h3 {
  font-size: 1.6rem;
  margin: 15px 0px;
}

footer .detail .box {
  display: flex;
  align-items: center;
  margin: 15px 0px;
}

footer .detail .box img {
  width: 7%;
}

footer .detail .box p {
  margin-left: 10px;
}

.social_media {
  display: flex;
}

.social_media .img {
  padding: 5px 0px;
  margin: 0px 15px;
  background-color: #141414;
  border-radius: 50px;
  text-align: center;
}

.social_media a img {
  width: 70%;
  align-items: center;
}

.map {
  width: 50%;
  height: 80%;
  overflow: hidden;
  border-radius: 15px;
  margin-right: 5%;
}

.mapIn {
  width: 100%;
  height: 100%;
}

/* Translation */

#google_element {
  position: fixed;
  bottom: 0;
  right: 0;
  text-align: end;
}

#google_element .VIpgJd-ZVi9od-l4eHX-hSRGPd {
  display: none;
}

.goog-te-banner-frame {
  display: none;
}
.goog-logo-link {
  display: none !important;
}
.goog-te-gadget {
  color: transparent !important;
}

@media (max-width: 1300px) {
  /* -------------------------------------Contact------------------------------------- */

  .contact_container {
    display: inline;
  }

  #contact_us .contact_container img {
    margin-top: 5%;
  }

  form {
    margin: 0px auto;
  }
}

@media (max-width: 1100px) {
  /* -------------------------------------Home------------------------------------- */

  /* #Home {
        height: 80vh;
    } */

  .tag_line {
    font-size: 4vw;
  }

  .tag_para {
    font-size: 2vw;
  }

  .Enquire_btn {
    font-size: 2vw;
  }

  /* -------------------------------------Contact------------------------------------- */

  /* -------------------------------------Contact------------------------------------- */

  /* #contact_us h2{
        font-size: 4vw;
    } */

  /* -------------------------------------About------------------------------------- */

  #About_us {
    display: block;
  }

  /* #About_us h2{
        font-size: 4vw;
    } */

  .about_container p {
    font-size: 3vw;
  }

  .about_container {
    width: 90%;
    margin: 0px auto;
  }

  /* -------------------------------------footer------------------------------------- */

  .social {
    width: 40%;
  }

  .map {
    width: 45%;
    height: 65%;
  }
}

@media (max-width: 800px) {
  /* -------------------------------------Contact------------------------------------- */

  form input,
  form textarea,
  form select {
    font-size: 50%;
  }

  form .name_contactNo input {
    width: 80%;
  }
}

@media (max-width: 500px) {
  #logo {
    font-size: 1rem;
  }

  /* -------------------------------------Home------------------------------------- */

  /* #Home {
        height: 50vh;
    } */

  /* .tag_container {
        padding-top: 15vh;
    } */

  #Service h2 {
    font-size: 6vw;
  }

  #contact_us h2 {
    font-size: 6vw;
  }

  #About_us h2 {
    font-size: 6vw;
  }

  /* -------------------------------------footer------------------------------------- */

  footer {
    height: 90vw;
  }

  .social h3 {
    font-size: 5vw;
  }

  footer .detail .box p {
    font-size: 3vw;
  }
}

/* @media(max-width: 1100px) and (max-height: 800px){
    .tag_container{
        padding-top: 10vh;
    }
} */
